Skip to main content
GET
/
users
/
certificates
/
{cert_id}
Get User Certificate By Id
curl --request GET \
  --url https://api-dev.monyfix.tech/users/certificates/{cert_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "is_activated": true,
  "item": {
    "id": "<string>",
    "name": "<string>",
    "platform_price": 123,
    "price": 123,
    "store": {
      "id": 123,
      "name": "<string>",
      "is_blogger": true,
      "seller_type": "<string>",
      "logo_url": "<string>"
    },
    "format_price": "<string>",
    "sku": "<string>",
    "start_time": "2023-11-07T05:31:56Z",
    "end_time": "2023-11-07T05:31:56Z",
    "duration": 123,
    "event_type": "<string>",
    "assets": [],
    "participants_limit": 123,
    "location": {
      "address": "<string>",
      "country": "<string>",
      "city": "<string>"
    }
  },
  "promo_code": {
    "id": "<string>",
    "promo_code": "<string>",
    "discount_percent": 123,
    "format_expired_at": 123,
    "expired_at": "2023-11-07T05:31:56Z",
    "is_for_winner": true
  },
  "round": {
    "id": "<string>",
    "uniq_id": "<string>"
  },
  "activated_at": "2023-11-07T05:31:56Z",
  "qr_code": {
    "image_url": "<string>",
    "is_activated": true,
    "private_image_url": "<string>"
  },
  "text": "<string>",
  "attribute_values": []
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cert_id
string
required

Response

Successful Response

id
string
required
is_activated
boolean
required
item
UnifiedItemUpcomingRoundResponse · object
required
promo_code
UserCertificatePromoCodeResponse · object
required
round
UserCertificateRoundResponse · object
required
activated_at
string<date-time> | null
qr_code
UserCertificateQrCodeResponse · object
text
string | null
attribute_values